Library Version 18.1.40

close_all_dbs
Prev | Chapter 1. Dbstl Global Public Functions | Next

## close_all_dbs

### Function Details

     void close_all_dbs()

Close all open database handles regardless of reference count.

You can't use any container after you called close_all_dbs and before setting another valid database handle to the container via db_container::set_db_handle() function.

#### See Also

close_db(Db *) ;

### Group: Functions to close database/environments.

Normally you don't have to close any database or environment handles, they will be closed automatically.

Though you still have the following API to close them.

### Class

dbstl_global_functions

Prev | Up | Next
Chapter 1. Dbstl Global Public Functions | Home | close_db_env